B2SUM(1)

NAME
b2sum - generate checksums using the BLAKE2 hash function

SYNOPSIS
b2sum [-a algorithm] [-l length] [--tag] [file ...]
b2sum [--help]

DESCRIPTION
The b2sum command generates checksums for files using the BLAKE2 cryptographic hash function and writes them to standard output.

When [file ...] is empty or -, b2sum reads from standard input.

-a algorithm
    Specify a variant of BLAKE2 to use when generating checksums. The variants are listed under the algorithms section, and the default is blake2b.

-l length
    Specify the digest length in bits. It must not exceed the maximum for the variant of BLAKE2 being used, and must be a multiple of 8.

--tag
    Prepend the checksums with "ALGORITHM-NAME (file) =", a format common on BSD systems.

--help
    Display usage.

ALGORITHMS

blake2b
    optimized for 64-bit platforms and NEON-enabled ARMs, produces digests of any size between 1 and 64 bytes

blake2s
    optimized for 8 to 32-bit platforms, produces digests of any size between 1 and 32 bytes

blake2bp
    4-way parallel BLAKE2b

blake2sp
    8-way parallel BLAKE2s

SEE ALSO
shasum(1)

STANDARDS

RFC 7693
    The BLAKE2 Cryptographic Hash and Message Authentication Code

AUTHORS
b2sum is part of the BLAKE2 official implementation. BLAKE2 was designed by -nosplit Jean-Philippe Aumasson, Samuel Neves, Zooko Wilcox-O'Hearn, and Christian Winnerlein.

BLAKE2 is based on the SHA-3 proposal BLAKE which was designed by Jean-Philippe Aumasson, Luca Henzen, Willi Meier, and Raphael C.-W. Phan.

BLAKE2, like BLAKE, relies on the ChaCha20 stream cipher, designed by Daniel J. Bernstein.

A mailing list for BLAKE2 can be subscribed to by sending an empty message to info-subscribe@blake2.net.

The four designers of BLAKE2 can be contacted at contact@blake2.net.

This manual page was written by Scarlett: https://github.com/Scarletts.